System.currentDirectory("ms0:/PSP/GAME/Wario Ware PSP/jeu/minijeu/")
bleu = Color.new(0,0,255)
rouge =Color.new(255,0,0)
black = Color.new(0,0,0)
white = Color.new(255,255,255)

bk = Image.load("ms0:/PSP/GAME/Wario Ware PSP/fond1.png")

fbrowser = { s = 1, fl = System.listDirectory("ms0:/PSP/GAME/Wario Ware PSP/jeu/minijeu/"), ls = 1, sp = 25 } -- Tableau qui gère plusieur informations

fichiers = table.getn(fbrowser.fl)

oldpad = Controls.read()

function lecteur_mp3()

	for i = ((fbrowser.ls-1) * fbrowser.sp)+1, fbrowser.ls * fbrowser.sp do
		if fichiers >= i then -- Si fichiers est supérieur ou égal à ' i ' alors
			screen:print(10,((i-((fbrowser.ls-1) * fbrowser.sp)) * 10)+10, fbrowser.fl[i].name, white) -- On affiche les fichiers
			elseif fichiers < i  then -- Sinon si fichiers est inférieur a ' i '  
			break -- on retourne en arrière
		end 
	end
	
	screen:print(10,((fbrowser.s-((fbrowser.ls-1) * fbrowser.sp)) * 10)+10, fbrowser.fl[fbrowser.s].name, rouge)
	
	if pad:down() and not oldpad:down() then fbrowser.s = fbrowser.s +1 end -- Déplace le selecteur d'une position en avant (+1)
	if pad:up() and not oldpad:up() then fbrowser.s = fbrowser.s -1 end -- Déplace le selecteur d'une position en arrière (-1)
	
	if fbrowser.s > fichiers then fbrowser.s = fichiers elseif fbrowser.s < 1 then fbrowser.s = 1 end
	if fbrowser.s > fbrowser.s * fbrowser.s then fbrowser.s = fbrowser.s + 1
	elseif fbrowser.s < ((fbrowser.ls-1) * fbrowser.s)+1 then fbrowser.ls = fbrowser.ls - 1 fbrowser.s = (fbrowser.ls) * fbrowser.s end
	
	if pad:cross() and not oldpad:cross() then -- Si on appuie sur X alors...
		if string.lower(string.sub(fbrowser.fl[fbrowser.s].name, -4)) == ".lua" or string.lower(string.sub(fbrowser.fl[fbrowser.s].name, -4)) == ".map" then
			
			-- Lecture
			
			dofile(fbrowser.fl[fbrowser.s].name) -- Charge la fl prise avec l'explorateur
			
			
			screen:blit(0,0,bk)
			
			playing = "encours"
			
			-- Boucle
			
		
			
			
			
				if pad:r() and not oldpad:r() then -- Si on appuie sur R
					if fbrowser.s < (fichiers + 1) then
						i = fbrowser.s + 1
						if i < (fichiers + 1) then
							if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".lua" or string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".map" then
								fbrowser.s = fbrowser.s + 1
							
								screen:clear()
								dofile(fbrowser.fl[fbrowser.s].name)
								
								System.memclean()
								
								screen:blit(0,0,bk)
								
								screen.flip()
							end
						end
					end
				end
				
				if pad:l() and not oldpad:l() then -- Si on appuie sur L
					if fbrowser.s < (fichiers + 1) and fbrowser.s > 2 then
						i = fbrowser.s - 1
						if i < (fichiers + 1) and i > 2 then
							if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".lua" or string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".map" then
								
								screen:clear()
								fbrowser.s = fbrowser.s - 1
								dofile(fbrowser.fl[fbrowser.s].name)
								
								
								screen:blit(0,0,bk)

								screen.flip()
							end
						end
					end
				end
			

	
			if fbrowser.fl[fbrowser.s].directory then
				System.currentDirectory(fbrowser.fl[fbrowser.s].name)
				fbrowser.s = 1
				fbrowser.fl=System.spDirectory()
				fbrowser.nf=table.getn(fbrowser.fl)
				fbrowser.ls = 1
			end

			elseif pad:triangle() and not oldpad:triangle() then
			
			if System.currentDirectory ~= "ms0:/" then
				System.currentDirectory("./..")
				fbrowser.s = 1
				fbrowser.fl=System.listDirectory()
				fbrowser.nf=table.getn(fbrowser.fl)
				fbrowser.ls = 1
			end
		end
	end
end

while true do
	screen:clear()
	pad = Controls.read()
	
	lecteur_mp3()
	
	screen:print(200,10," Appuie sur haut ou bas pour naviger dans le menu",rouge)
	screen:print(200,25," Appuie sur X pour valider un choix",rouge)
	screen:print(180,50," Les mini-jeu sont en '.lua ' et les map en '.map'  ",rouge)
	screen:print(200,70," Appuie sur O pour quitter",rouge)
	
	if pad:circle() then
dofile("ms0:/PSP/GAME/Wario Ware PSP/jeu/menu.lau")
end
	
	screen.waitVblankStart()
	screen.flip()
	oldpad = pad
end 